(in-package #:asdf-user)

(defsystem :decons
  :author "cyberconcepts.org Team <team@cyberconcepts.org>"
  :license "MIT"
  :version "0.0.1"
  :homepage "https://www.cyberconcepts.org"
  :description "Deconstruction as a method for implementing machine intelligence."
  :depends-on (:alexandria
               :scopes-core :scopes/test)
  :components ((:file "csys" :depends-on ("mlx"))
               (:file "mlx" :depends-on ("recurse"))
               (:file "recurse")
               (:file "xplore"))
  :long-description "decons: The base system of the decons project."
  :in-order-to ((test-op (test-op "decons/test"))))

(defsystem :decons/test
  :depends-on (:decons)
  :components ((:file "test-decons")
               (:file "test-csys" :depends-on ("test-decons")))
  :perform (test-op (o c) 
    (symbol-call :decons/test-decons :run)))
